Qt 5.11 | Qt GUI | C++ Classes | QVulkanExtension

Qt 5.11.3 Reference Documentation

# QVulkanExtension Class

Represents information about a Vulkan extension. More...

Header: | #include <QVulkanExtension>
qmake: | QT += gui

- List of all members, including inherited members

## Public Variables

QByteArray | name
uint32_t | version

## Related Non-Members

uint | qHash(const QVulkanExtension &key, uint seed = 0)
bool | operator!=(const QVulkanExtension &lhs, const QVulkanExtension &rhs)
bool | operator==(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

## Detailed Description

Represents information about a Vulkan extension.

## Member Variable Documentation

### QByteArray QVulkanExtension::name

This variable holds the name of the extension.

### uint32_t QVulkanExtension::version

This variable holds the version of the extension. This is an integer, increasing with each backward compatible change.

## Related Non-Members

### uint qHash(const QVulkanExtension &key, uint seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.10.

### bool operator!=(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

Returns `true` if Vulkan extensions lhs and rhs are have different name or version.

This function was introduced in Qt 5.10.

### bool operator==(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

Returns `true` if Vulkan extensions lhs and rhs are have the same name and version.

This function was introduced in Qt 5.10.